2023-10-13 06:25:55 UTC
84.6 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.9-release
SWIFT_PLATFORMubuntu20.04
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.9-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:7a2c559011895d255fce249c00396abff5ae7e0c0a92931d0ed493e71de78e3a - 32.23% (27.3 MB)
[#001] sha256:70cc847ff18a772fbf1961e07e509d4867e128101e4cbb090a169f61a86cfbea - 25.12% (21.2 MB)
[#002] sha256:ee66493f7f5a31da1cccd3c6dd99fbdf9af92ff62b9669dc4edebb43f0f9d7ad - 42.65% (36.1 MB)
/bin/sh -c #(nop) ARG RELEASE
2023-10-03 10:45:50 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2023-10-03 10:45:50 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu
2023-10-03 10:45:50 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04
2023-10-03 10:45:51 UTC/bin/sh -c #(nop) ADD file:4809da414c2d478b4d991cbdaa2df457f2b3d07d0ff6cf673f09a66f90833e81 in /
2023-10-03 10:45:52 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-10-13 06:24:42 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-10-13 06:24:42 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2023-10-13 06:24:55 UTC/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*
2023-10-13 06:24:55 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-10-13 06:24:55 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu20.04
2023-10-13 06:24:56 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9-release
2023-10-13 06:24:56 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9-RELEASE
2023-10-13 06:24:56 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2023-10-13 06:24:56 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.9-release SWIFT_VERSION=swift-5.9-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-10-13 06:25:55 UTC/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg
2023-10-13 03:15:01 UTC
82.5 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.9-release
SWIFT_PLATFORMubuntu20.04
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.9-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:6cba4020c0a193cd551ed8edf368670967e3546345b52c4ec66cb0931436e9b9 - 31.43% (25.9 MB)
[#001] sha256:58948de8374ff3a1caca001c705ae0a34b2aa7ac3e271a23b37be15738a58e46 - 25.5% (21 MB)
[#002] sha256:cf2a7febb7fc6c87a8ad3e495bee425703f9a8ff89dcbb6b7309d13179fd11a4 - 43.07% (35.5 MB)
/bin/sh -c #(nop) ARG RELEASE
2023-10-03 11:04:09 UTC/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH
2023-10-03 11:04:09 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu
2023-10-03 11:04:10 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04
2023-10-03 11:04:16 UTC/bin/sh -c #(nop) ADD file:f70cc2610ea8fcd25e6e9ae727eb9345d5b7198102f6a6d8e458ab8f99efefc3 in /
2023-10-03 11:04:17 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-10-13 03:14:10 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-10-13 03:14:10 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2023-10-13 03:14:24 UTC/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/*
2023-10-13 03:14:24 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-10-13 03:14:24 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu20.04
2023-10-13 03:14:24 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9-release
2023-10-13 03:14:24 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9-RELEASE
2023-10-13 03:14:24 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2023-10-13 03:14:24 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.9-release SWIFT_VERSION=swift-5.9-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-10-13 03:15:01 UTC/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.